diff -r -c ../ingres.ptf/source/support/ingres.y source/support/ingres.y
*** ../ingres.ptf/source/support/ingres.y	Mon Nov 16 14:39:01 1992
--- source/support/ingres.y	Tue Oct  6 14:48:27 1992
***************
*** 160,166 ****
  int		No_exec;		/* if set, don't execute */
  int		NumProcs;		/* number of processes this system */
  
- 
  /*
  **  Internal form of process descriptions.
  */
--- 160,165 ----
***************
*** 665,671 ****
  			doflag(str,-1);
  			sprintf(str2,"-W%d",Wait_action);
  			doflag(str2,-1);
! 			close(Alockdes);
  		}
  	}
  
--- 664,671 ----
  			doflag(str,-1);
  			sprintf(str2,"-W%d",Wait_action);
  			doflag(str2,-1);
! 			if(Alockdes >= 3)      /*  added by  K.Okamoto   */
! 				close(Alockdes);
  		}
  	}
  
***************
*** 678,688 ****
  /*
  **  Process rubouts (just exit)
  */
- 
  rubproc()
  {
  	exit(2);
  }
  /*
  **  DOFLAG -- process flag
  **
--- 678,688 ----
  /*
  **  Process rubouts (just exit)
  */
  rubproc()
  {
  	exit(2);
  }
+ 
  /*
  **  DOFLAG -- process flag
  **
***************
*** 1060,1066 ****
  int	callsysmod;
  {
  	register struct proc	*pr;
! 	register proc_t		*pp;
  	register int		i;
  	int			procno;
  	register int		pip;
--- 1060,1066 ----
  int	callsysmod;
  {
  	register struct proc	*pr;
! 	register proc_t  	*pp;
  	register int		i;
  	int			procno;
  	register int		pip;
***************
*** 1154,1159 ****
--- 1154,1160 ----
  char 	*flag;
  {
  	register char 	*p;
+ 	extern int  Status;
  
  	p = flag;
  
***************
*** 1270,1276 ****
  register int	fd;
  {
  	register struct proc	*pr;
! 	register proc_t		*pp;
  	register int		i;
  
  	for (pr = proc; pr < &ProcTab[CM_MAXPROC]; pr++)
--- 1271,1277 ----
  register int	fd;
  {
  	register struct proc	*pr;
! 	register proc_t 	*pp;
  	register int		i;
  
  	for (pr = proc; pr < &ProcTab[CM_MAXPROC]; pr++)
***************
*** 1345,1351 ****
  	char			**opt;
  	int			i;
  	register struct proc	*pr;
! 	register proc_t		*pp;
  	register char		*p;
  	int			outfd;
  	char			closeit[NOFILE];
--- 1346,1352 ----
  	char			**opt;
  	int			i;
  	register struct proc	*pr;
! 	register proc_t 	*pp;
  	register char		*p;
  	int			outfd;
  	char			closeit[NOFILE];
diff -r -c ../ingres.ptf/source/support/initsocket.c source/support/initsocket.c
*** ../ingres.ptf/source/support/initsocket.c	Mon Nov 16 14:39:01 1992
--- source/support/initsocket.c	Thu Sep 24 12:13:06 1992
***************
*** 10,24 ****
--- 10,31 ----
  
  SCCSID(@(#)initsocket.c	8.2	6/12/88)
  
+ int    init_socket();
+ 
  /*
  ** init_socket
  ** initilize the socket to the socket server
  */
+ int
  init_socket()
  {
  	register	int	from_socket;	/* file descriptor to attach to socket server */
  	int	to_ioctl = 1;			/* used in ioctl call */
  	struct	sockaddr_in	addr;		/* address where socket server is */
+ 
+ 
+ #define notdef
+ 
  #ifdef notdef
  	char	hostname[BUFSIZ];		/* hostname */
  #endif
***************
*** 27,33 ****
  	auto	int		len;
  	extern	int		errno;
  
! #ifndef	DEBUG
  	if ( (len = fork()) != 0 )
  	{
  # ifdef	DEBUG
--- 34,40 ----
  	auto	int		len;
  	extern	int		errno;
  
! #ifndef  DEBUG
  	if ( (len = fork()) != 0 )
  	{
  # ifdef	DEBUG
***************
*** 59,70 ****
  	if ( (myhost = gethostbyname(hostname)) == 0 )
  		exit(errno);
  	bzero((char *) &addr,sizeof (addr));
! 	bcopy(myhost->h_addr,(char *)&addr.sin_addr,myhost->h_length);
  #endif
  	addr.sin_family = AF_INET;
  	addr.sin_port = server ? server->s_port : htons(1524);
  	len = sizeof (addr);
! 	if ( bind(from_socket,&addr,len) == -1 )
  	{
  # ifdef	DEBUG
  		perror("INIT_S bind, assuming driver already running");
--- 66,79 ----
  	if ( (myhost = gethostbyname(hostname)) == 0 )
  		exit(errno);
  	bzero((char *) &addr,sizeof (addr));
! /*	bcopy(myhost->h_addr,(char *)&addr.sin_addr,myhost->h_length);    */
! 	bcopy(myhost->h_addr,(char *)&addr.sin_addr.s_addr,myhost->h_length);
! 
  #endif
  	addr.sin_family = AF_INET;
  	addr.sin_port = server ? server->s_port : htons(1524);
  	len = sizeof (addr);
! 	if ( bind(from_socket,(struct sockaddr_in *)&addr,len) == -1 )
  	{
  # ifdef	DEBUG
  		perror("INIT_S bind, assuming driver already running");
***************
*** 71,82 ****
  # endif	DEBUG
  		exit(0);
  	}
- 
  	if ( listen(from_socket,10) == -1 )
  	{
  		perror("Ingres lock, can't listen on port");
  		exit(errno);
  	}
! 	ioctl(from_socket,FIONBIO,&to_ioctl);
  	return ( from_socket );
  }/* init_socket */
--- 80,95 ----
  # endif	DEBUG
  		exit(0);
  	}
  	if ( listen(from_socket,10) == -1 )
  	{
  		perror("Ingres lock, can't listen on port");
  		exit(errno);
  	}
!         ioctl(from_socket,FIONBIO,&to_ioctl);   /* set socket to nonblocking */
  	return ( from_socket );
  }/* init_socket */
+ 
+ 
+ 
+ 
+ 
diff -r -c ../ingres.ptf/source/support/printadmin.c source/support/printadmin.c
*** ../ingres.ptf/source/support/printadmin.c	Mon Nov 16 14:39:00 1992
--- source/support/printadmin.c	Mon Sep 14 19:17:22 1992
***************
*** 81,88 ****
  	printdesc(&Admin.adattd);
  }
  
! 
  rubproc()
  {
  	exit(1);
  }
--- 81,89 ----
  	printdesc(&Admin.adattd);
  }
  
! void
  rubproc()
  {
  	exit(1);
  }
+ 
diff -r -c ../ingres.ptf/source/support/printr.c source/support/printr.c
*** ../ingres.ptf/source/support/printr.c	Mon Nov 16 14:39:01 1992
--- source/support/printr.c	Wed Oct  7 10:54:14 1992
***************
*** 4,14 ****
--- 4,33 ----
  # include	<access.h>
  # include	<lock.h>
  # include	<pv.h>
+ # include       <ctlmod.h>
  # include	<sccs.h>
  
  SCCSID(@(#)printr.c	8.2	2/8/85)
  
+ struct _cm_t	Cm;		/* the system topography map */
+ struct _ctx_t	Ctx;		/* the current context */
+ int		Syncs[CM_MAXPROC];/* expected SYNC's from each proc */
+ 
+ /* General System Information */
+ char		*Proc_name;	/* the 'name' of the currently running proc */
+ char		*Fileset;	/* a unique string to make filenames from */
+ char		*Database;	/* the name of the current database */
+ char		*Usercode;	/* the code of the current user */
+ char		*Pathname;	/* the pathname of the root of INGRES */
+ int		Equel;		/* set if running an Equel program */
+ int		RubLevel;	/* rubout level, -1 if ignored */
+ jmp_buf		CmReset;	/* restart addr on interrupt */
+ extern struct out_arg	Out_arg;	/* output arguments */
+ # ifdef xMONITOR
+ struct monitor	CmMonBuf;	/* monitor buffer for CM overhead */
+ # endif xMONITOR
  
+ 
  extern int	Status;
  short		tTdbu[100];
  DESC		Btreesec;
***************
*** 18,24 ****
  int	argc;
  char 	*argv[];
  {
- 	extern struct out_arg	Out_arg;
  	register char		**av;
  	register char		*q;
  	register char		*p;
--- 37,42 ----
***************
*** 230,237 ****
  	exit(0);
  }
  
! 
! 
  rubproc()
  {
  	fflush(stdout);
--- 248,254 ----
  	exit(0);
  }
  
! void
  rubproc()
  {
  	fflush(stdout);
diff -r -c ../ingres.ptf/source/support/prvect.c source/support/prvect.c
*** ../ingres.ptf/source/support/prvect.c	Mon Nov 16 14:39:01 1992
--- source/support/prvect.c	Sat Sep 12 11:20:43 1992
***************
*** 71,77 ****
  	  case PV_TUPLE:
  		p = pv->pv_val.pv_tuple;
  		for (i = pv->pv_len; i > 0; i--)
! 			printf("\%o", *p++);
  		printf("\n");
  		break;
  
--- 71,78 ----
  	  case PV_TUPLE:
  		p = pv->pv_val.pv_tuple;
  		for (i = pv->pv_len; i > 0; i--)
! /*			printf("\%o", *p++);        modified by K.O.   */
! 			printf("%o", *p++);
  		printf("\n");
  		break;
  
diff -r -c ../ingres.ptf/source/support/purge.c source/support/purge.c
*** ../ingres.ptf/source/support/purge.c	Mon Nov 16 14:39:00 1992
--- source/support/purge.c	Wed Sep 30 14:44:27 1992
***************
*** 6,11 ****
--- 6,12 ----
  # include	<sccs.h>
  # include	<opsys.h>
  # include	<sys/dir.h>
+ # include       <ctlmod.h>
  
  SCCSID(@(#)purge.c	8.3	1/31/86)
  
***************
*** 44,49 ****
--- 45,60 ----
  **		folded in new directory rootines for 4.1c-bsd
  */
  
+ struct _cm_t	Cm;		/* the system topography map */
+ struct _ctx_t	Ctx;		/* the current context */
+ int		Syncs[CM_MAXPROC];/* expected SYNC's from each proc */
+ 
+ /* General System Information */
+ jmp_buf		CmReset;	/* restart addr on interrupt */
+ 
+ # ifdef xMONITOR
+ struct monitor	CmMonBuf;	/* monitor buffer for CM overhead */
+ # endif xMONITOR
  
  char		All;
  char		Superuser;
***************
*** 50,61 ****
  char		Ask;
  char		Purge;
  char		Clean;
  extern int	Wait_action;
  extern int	Status;
  extern char	*Usercode;
! long		Today;
! short		tTdbu[100];
! extern int	(*ExitFn)();
  
  main(argc, argv)
  int	argc;
--- 61,75 ----
  char		Ask;
  char		Purge;
  char		Clean;
+ long		Today;
+ short		tTdbu[100];
  extern int	Wait_action;
  extern int	Status;
  extern char	*Usercode;
! extern void	(*ExitFn)();
! extern char	*getnxtdb();
! extern void	null_fn();
! 
  
  main(argc, argv)
  int	argc;
***************
*** 64,71 ****
  	register char	*db;
  	register int	i;
  	char		fake[256];
- 	extern char	*getnxtdb();
- 	extern int	null_fn();
  
  	argv[argc] = NULL;
  #	ifdef xTTR1
--- 78,83 ----
***************
*** 89,95 ****
  	printf("\npurge completed\n");
  }
  
! 
  rubproc()
  {
  	unldb();
--- 101,107 ----
  	printf("\npurge completed\n");
  }
  
! void
  rubproc()
  {
  	unldb();
***************
*** 96,103 ****
  	exit(-1);
  }
  
- 
- 
  /*
  **  PURGE DATABASE
  **
--- 108,113 ----
***************
*** 110,118 ****
  int		Btree_fd;
  char		*Fileset;
  
- #ifndef rewinddir
- typedef	DIR	FILE;
- #endif
  extern DIR *opendir();
  extern struct direct *readdir();
  
--- 120,125 ----
***************
*** 131,139 ****
  	PARM			pv[2];
  	char			pbuff[MAXNAME + 1];
  	char			*fname;
- #ifndef rewinddir
- 	char			fnambuf[DIRSIZ + 1];
- #endif
  
  #	ifdef	xTTR2
  	tTfp(11, 0, "entered purgedb(%s)\n", db);
--- 138,143 ----
***************
*** 225,243 ****
  
  	/* scan the directory */
  	for (dp = readdir(dirp); dp != NULL; dp = readdir(dirp)) {
- 
- #ifdef rewinddir
  		fname = dp->d_name;
  		if (dp->d_namlen <= 2)
  			continue;
- #else rewinddir
- 		strncpy(fnambuf, dp->d_name, DIRSIZ);
- 		fnambuf[DIRSIZ] = '\0';
- 		fname = fnambuf;
- 		if (!strcmp(fname, ".") || !strcmp(fname, ".."))
- 			continue;
- #endif rewinddir
- 
  		/* throw out legitimate files */
  		if (sequal(fname, "admin"))
  			continue;
--- 229,237 ----
diff -r -c ../ingres.ptf/source/support/restore.c source/support/restore.c
*** ../ingres.ptf/source/support/restore.c	Mon Nov 16 14:39:00 1992
--- source/support/restore.c	Tue Sep 29 15:06:12 1992
***************
*** 12,17 ****
--- 12,18 ----
  # include	<sccs.h>
  # include	<signal.h>
  # include	<setjmp.h>
+ # include       <ctlmod.h>
  
  SCCSID(@(#)restore.c	8.5	1/31/86)
  
***************
*** 22,27 ****
--- 23,42 ----
  **	database.  After finishing all the batch files it calls PURGE.
  */
  
+ 
+ struct _cm_t	Cm;		/* the system topography map */
+ struct _ctx_t	Ctx;		/* the current context */
+ int		Syncs[CM_MAXPROC];/* expected SYNC's from each proc */
+ 
+ /* General System Information */
+ jmp_buf		CmReset;	/* restart addr on interrupt */
+ 
+ # ifdef xMONITOR
+ struct monitor	CmMonBuf;	/* monitor buffer for CM overhead */
+ # endif xMONITOR
+ 
+ 
+ 
  # ifndef PURGE
  # ifdef xV7_UNIX
  # define	PURGE		"purge"
***************
*** 52,61 ****
  int		Btree_fd;
  jmp_buf		Jmpbuffer;	/* buffer for nonlocal goto's on an error condition */
  
- 
- #ifndef rewinddir
- typedef	DIR	FILE;
- #endif
  extern DIR *opendir();
  extern struct direct *readdir();
  
--- 67,72 ----
***************
*** 68,75 ****
  	register char	*dbname;
  	extern char	*Proc_name;
  	auto int	stat;
! 	extern		(*ExitFn)();
! 	extern          rubproc(), exit();
  	char		*nargv[20];
  	char		**avp;
  	char		**fvp;
--- 79,86 ----
  	register char	*dbname;
  	extern char	*Proc_name;
  	auto int	stat;
! 	extern	void	(*ExitFn)();
! 	extern  void    rubproc(), exit();
  	char		*nargv[20];
  	char		**avp;
  	char		**fvp;
***************
*** 209,221 ****
  	register struct	direct  *dp;
  	register int		i;
  	extern char		*Fileset;
! 	extern 			uperr(), (*ExitFn)();
! 	int			(*tmpfn)();
  	char			*lookucode();
  	char			*fname;
- # ifndef rewinddir
- 	char			fnambuf[DIRSIZ+1];
- # endif
  
  	if ( (dirp = opendir(".")) == NULL )
  		syserr("Can't open data base directory");
--- 220,229 ----
  	register struct	direct  *dp;
  	register int		i;
  	extern char		*Fileset;
! 	extern 	void		uperr(), (*ExitFn)();
! 	void			(*tmpfn)();
  	char			*lookucode();
  	char			*fname;
  
  	if ( (dirp = opendir(".")) == NULL )
  		syserr("Can't open data base directory");
***************
*** 228,240 ****
  	setjmp(Jmpbuffer);
  	for ( dp = readdir(dirp) ; dp != NULL ; dp = readdir(dirp) )
  	{
- # ifdef rewinddir
  		fname = dp->d_name;
- # else
- 		strncpy(fnambuf, dp->d_name, DIRSIZ);
- 		fnamebuf[DIRSIZ] = '\0';
- 		fname = fnamebuf;
- # endif
  		if ( !strcmp(".",fname) || !strcmp("..",fname) )
  			continue;
  		if (bequal("_SYSbatch", fname, 9))
--- 236,242 ----
***************
*** 275,280 ****
--- 277,283 ----
  /*
  ** handles syserr's in the update processor
  */
+ void
  uperr()
  {
  
***************
*** 289,294 ****
--- 292,298 ----
  /*
  ** Catch errors in other places
  */
+ void
  rubproc()
  {
  	register int		i;
diff -r -c ../ingres.ptf/source/support/subs.c source/support/subs.c
*** ../ingres.ptf/source/support/subs.c	Mon Nov 16 14:39:01 1992
--- source/support/subs.c	Thu Sep 17 18:18:48 1992
***************
*** 13,51 ****
  ** These are subroutines common to RESTORE and PURGE.
  */
  
- #ifndef rewinddir
- typedef	DIR	FILE;
- 
- DIR *
- opendir(d)
- char *d;
- {
- 	return(fopen(d, "r"));
- }
- 
- closedir(d);
- DIR *d;
- {
- 	return(fclose(d));
- }
- 
- struct direct *
- readdir(dirp)
- DIR *dirp;
- {
- 	static struct direct direc;
- 	struct direct *d = &direc;
- 	int n;
- 
- 	n = fread(&direc, sizeof(struct direct), 1, dirp);
- 	if (n <= 0)
- 		d = NULL;
- 	return(d);
- }
- 
- #endif rewinddir
- 
- 
  char		All;
  char		Qrymod;
  char		Superuser;
--- 13,18 ----
***************
*** 193,201 ****
  getnxtdb()
  {
  	struct direct		*dp;
- #ifndef rewinddir
- 	static char		dbname[DIRSIZ+1];
- #endif
  	register char		*db;
  	register FILE		*fd;
  	register int		i;
--- 160,165 ----
***************
*** 219,231 ****
  				{
  					continue;
  				}
- #ifdef rewinddir
  				db = dp->d_name;
- #else
- 				strncpy(dbname, dp->d_name, DIRSIZ);
- 				dbname[DIRSIZ] = '\0';
- 				db = dbname;
- #endif
  			}
  		}
  		else
--- 183,189 ----
diff -r -c ../ingres.ptf/source/support/usersetup.c source/support/usersetup.c
*** ../ingres.ptf/source/support/usersetup.c	Mon Nov 16 14:39:02 1992
--- source/support/usersetup.c	Wed Sep 23 14:53:05 1992
***************
*** 32,44 ****
  	register int	i;
  	char		buf[MAXLINE + 1];
  	char		*pathname;
! 	register char	*code;
  	char		*field[UF_NFIELDS];
! 	register int	iop;
  	extern char	*Proc_name;
  	char		*stat = "000001";
! 	extern	int	(*ExitFn)();
! 	extern	int	sysexit();
  
  	Proc_name = "USERSETUP";
  	ExitFn = sysexit;
--- 32,44 ----
  	register int	i;
  	char		buf[MAXLINE + 1];
  	char		*pathname;
!         char            code[2];
  	char		*field[UF_NFIELDS];
! 	FILE	*iop;
  	extern char	*Proc_name;
  	char		*stat = "000001";
! 	extern	void	(*ExitFn)();
! 	void	sysexit();
  
  	Proc_name = "USERSETUP";
  	ExitFn = sysexit;
***************
*** 49,56 ****
  		stat = *++argv;
  	}
  
! 	code = "aa";
! 	if ((iop = (int) fopen("/etc/passwd", "r")) == NULL)
  		syserr(0, "cannot open /etc/passwd for reading");
  
  	/* scan for INGRES in /etc/passwd */
--- 49,57 ----
  		stat = *++argv;
  	}
  
!         code[0] = 'a';
!         code[1] = 'a';
! 	if ((iop = fopen("/etc/passwd", "r")) == NULL)
  		syserr(0, "cannot open /etc/passwd for reading");
  
  	/* scan for INGRES in /etc/passwd */
***************
*** 75,81 ****
  	/* rewind passwd file */
  	if (fclose(iop))
  		syserr("fclose");
! 	if ((iop = (int) fopen("/etc/passwd", "r")) == NULL)
  		syserr("open /etc/passwd 2");
  
  	/* open output file as needed */
--- 76,82 ----
  	/* rewind passwd file */
  	if (fclose(iop))
  		syserr("fclose");
! 	if ((iop = fopen("/etc/passwd", "r")) == NULL)
  		syserr("open /etc/passwd 2");
  
  	/* open output file as needed */
***************
*** 89,94 ****
--- 90,96 ----
  		close(i);
  		if (freopen(buf, "w", stdout) == NULL)
  			syserr("cannot open %s", buf);
+ 
  	}
  
  	while (fgets(buf, MAXLINE, iop))
***************
*** 137,144 ****
  next(code)
  char	code[2];
  {
! 	register char	*c;
! 	register char	a, b;
  
  	c = code;
  	a = c[0];
--- 139,146 ----
  next(code)
  char	code[2];
  {
! 	char	*c;
! 	char	a, b;
  
  	c = code;
  	a = c[0];
***************
*** 171,176 ****
--- 173,180 ----
  **	A simple function that just exits, this is for the benefit
  **	of syserr, so it does not core dump.
  */
+ 
+ void
  sysexit(value)
  int	value;
  {
Only in source/support: y.tab.h
